cURL
curl --request POST \
--url https://app-api.aide.app/v1/knowledge-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"baseUrl": "<string>",
"maxPages": 250,
"excludePaths": [
"<string>"
]
}
'import requests
url = "https://app-api.aide.app/v1/knowledge-sources"
payload = {
"name": "<string>",
"baseUrl": "<string>",
"maxPages": 250,
"excludePaths": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
baseUrl: '<string>',
maxPages: 250,
excludePaths: ['<string>']
})
};
fetch('https://app-api.aide.app/v1/knowledge-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/knowledge-sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'baseUrl' => '<string>',
'maxPages' => 250,
'excludePaths' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/knowledge-sources"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/knowledge-sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/knowledge-sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "knowledge_source",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"baseUrl": "<string>",
"kind": "<string>",
"error": "<string>",
"vendor": "<string>",
"timesUsed": 123,
"excludePaths": [
"<string>"
],
"importMethod": "<string>",
"lastImportedAt": "<string>",
"progress": {
"total": 123,
"done": 123
},
"documentCount": 123,
"publishedCount": 123,
"indexedCount": 123,
"pendingIndexCount": 123,
"contentUpdatedAt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}KnowledgeSource
Post v1knowledge sources
POST
/
v1
/
knowledge-sources
cURL
curl --request POST \
--url https://app-api.aide.app/v1/knowledge-sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"baseUrl": "<string>",
"maxPages": 250,
"excludePaths": [
"<string>"
]
}
'import requests
url = "https://app-api.aide.app/v1/knowledge-sources"
payload = {
"name": "<string>",
"baseUrl": "<string>",
"maxPages": 250,
"excludePaths": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
baseUrl: '<string>',
maxPages: 250,
excludePaths: ['<string>']
})
};
fetch('https://app-api.aide.app/v1/knowledge-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/knowledge-sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'baseUrl' => '<string>',
'maxPages' => 250,
'excludePaths' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/knowledge-sources"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app-api.aide.app/v1/knowledge-sources")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/knowledge-sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"maxPages\": 250,\n \"excludePaths\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "knowledge_source",
"name": "<string>",
"createdAt": "<string>",
"id": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"baseUrl": "<string>",
"kind": "<string>",
"error": "<string>",
"vendor": "<string>",
"timesUsed": 123,
"excludePaths": [
"<string>"
],
"importMethod": "<string>",
"lastImportedAt": "<string>",
"progress": {
"total": 123,
"done": 123
},
"documentCount": 123,
"publishedCount": 123,
"indexedCount": 123,
"pendingIndexCount": 123,
"contentUpdatedAt": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Available options:
articles, help_center, website Required string length:
1 - 255Maximum string length:
2048Required range:
1 <= x <= 500Maximum array length:
50Maximum string length:
200Pattern:
^\/[^/\s?#][^\s?#]*$Response
Created
Show child attributes
Show child attributes